Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.stack.isea
Class ISEState

    java.lang.Object
      avrora.stack.isea.ISEAbstractState
          avrora.stack.isea.ISEState

public class ISEState
extends ISEAbstractState

Nested Class Summary

Nested classes inherited from class avrora.stack.isea.ISEAbstractState
`ISEAbstractState.Element`

Field Summary
`protected static ISEAbstractState.Element[]` | `defaultElements`
`protected static byte[]` | `defaultStack`
`static int` | `EIMSK_NUM`
`static int` | `EIMSK_OFF`
`static int` | `MAX_STACK`
`static int` | `NUM_REGISTERS`
`static int` | `SREG_NUM`
`static int` | `SREG_OFF`
`static int` | `TIMSK_NUM`
`static int` | `TIMSK_OFF`

Constructor Summary
`ISEState()`
`ISEState(ISEState r)`

Method Summary
`ISEState` | `dup()`
`byte` | `getRegister(Register r)`
`byte` | `getSREG()`
`boolean` | `isIORegisterRead(int ior)`
`boolean` | `isRegisterRead(Register reg)`
`void` | `mergeWithCaller(ISEState caller)`
`byte` | `readIORegister(int reg)`
`byte` | `readRegister(Register r)`
`void` | `writeIORegister(int reg, byte val)`
`void` | `writeRegister(Register r, byte val)`
`void` | `writeSREG(byte val)`

Methods inherited from class avrora.stack.isea.ISEAbstractState
`copy, equals, getElement, isRead, merge, nextln, pop, print, push, readElement, writeElement`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NUM_REGISTERS

    public static final int NUM_REGISTERS

See Also:
  Constant Field Values

### SREG_NUM

    public static final int SREG_NUM

See Also:
  Constant Field Values

### EIMSK_NUM

    public static final int EIMSK_NUM

See Also:
  Constant Field Values

### TIMSK_NUM

    public static final int TIMSK_NUM

See Also:
  Constant Field Values

### SREG_OFF

    public static final int SREG_OFF

See Also:
  Constant Field Values

### EIMSK_OFF

    public static final int EIMSK_OFF

See Also:
  Constant Field Values

### TIMSK_OFF

    public static final int TIMSK_OFF

See Also:
  Constant Field Values

### MAX_STACK

    public static final int MAX_STACK

See Also:
  Constant Field Values

### defaultElements

    protected static final ISEAbstractState.Element[] defaultElements

### defaultStack

    protected static final byte[] defaultStack

Constructor Detail

### ISEState

    public ISEState()

### ISEState

    public ISEState(ISEState r)

Method Detail

### readRegister

    public byte readRegister(Register r)

### getRegister

    public byte getRegister(Register r)

### writeRegister

    public void writeRegister(Register r,
                              byte val)

### isRegisterRead

    public boolean isRegisterRead(Register reg)

### readIORegister

    public byte readIORegister(int reg)

### isIORegisterRead

    public boolean isIORegisterRead(int ior)

### writeIORegister

    public void writeIORegister(int reg,
                                byte val)

### getSREG

    public byte getSREG()

### writeSREG

    public void writeSREG(byte val)

### mergeWithCaller

    public void mergeWithCaller(ISEState caller)

### dup

    public ISEState dup()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD